#
# spec file for package python3-trello
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-trello
Version:        0.9.1
Release:        5.5
License:        BSD-3-Clause
Summary:        Python library for interacting with the Trello API
Url:            https://trello.com/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/t/trello/trello-%{version}.zip
# PATCH-FIX-UPSTREAM speilicke@suse.com
Patch0:         trello-py3kcompat.patch
BuildRequires:  python3-devel
BuildRequires:  unzip
Requires:       python3-requests >= 0.9.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This Python API is simply a wrapper around the Trello API

%prep
%setup -q -n trello-%{version}
%patch0 -p1

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/trello-%{version}-py%{py3_ver}.egg-info
%{python3_sitelib}/trello

%changelog
* Thu Jul  3 2014 speilicke@suse.com
- Fix license (it's BSD-3-Clause)
* Wed Jul  2 2014 speilicke@suse.com
- Initial version
